com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyAdapter

- java.lang.Object
- - com.verisign.epp.framework.EPPRegistryPolicyAdapter
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyAdapter

-     public class EPPLaunchPolicyAdapter
      extends EPPRegistryPolicyAdapter

  `EPPLaunchPolicyAdapter` is used to adapt command EPP extensions ( `EPPLaunchPolicyCreate` and `EPPLaunchPolicyUpdate`) to its contained `EPPLaunchPolicyZone`, and adapt a `EPPLaunchPolicyZone` to a info response EPP extension ( `EPPLaunchPolicyInfData`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchPolicyAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPRegistryZoneInterface` | `eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)` Adapt a list of EPP extensions used with a registry create or update to a matching launch phase policy extension.
    `EPPCodecComponent` | `zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)` Adapt a list of policy extensions available for the zone to a matching EPP extension for an info response.

    - ### Methods inherited from class com.verisign.epp.framework.EPPRegistryPolicyAdapter

      `getSystemExt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLaunchPolicyAdapter

          public EPPLaunchPolicyAdapter()

  - ### Method Detail

    - #### eppExtToZoneExt

          public EPPRegistryZoneInterface eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)

      Adapt a list of EPP extensions used with a registry create or update to a matching launch phase policy extension.
      Overrides:
        `eppExtToZoneExt` in class `EPPRegistryPolicyAdapter`
      Parameters:
        `aEppExtensions` - List of EPP extensions to adapt to a zone policy extension.
      Returns:
        Matching launch phase policy extension if found; `null` otherwise.

    - #### zoneExtToEppExt

          public EPPCodecComponent zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)

      Adapt a list of policy extensions available for the zone to a matching EPP extension for an info response.
      Overrides:
        `zoneExtToEppExt` in class `EPPRegistryPolicyAdapter`
      Parameters:
        `aZoneExtensions` - List of zone policy extensions to adapt to an EPP extension for an info response.
      Returns:
        Matching EPP extension for an info response if found; `null` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.